Skip to main content
`Ctrl`+`K`

# petsc4py.PETSc.DeviceContext.StreamType

class petsc4py.PETSc.DeviceContext.StreamType

  Bases: `object`

  The type of stream.

  See also

  `DeviceContext`, `DeviceContext.getStreamType`, `DeviceContext.setStreamType`, `PetscStreamType`

  Attributes Summary

  `DEFAULT` | Constant `DEFAULT` of type `int`
  `DEFAULT_WITH_BARRIER` | Constant `DEFAULT_WITH_BARRIER` of type `int`
  `NONBLOCKING` | Constant `NONBLOCKING` of type `int`
  `NONBLOCKING_WITH_BARRIER` | Constant `NONBLOCKING_WITH_BARRIER` of type `int`

  Attributes Documentation

  DEFAULT: int = DEFAULT

    Constant `DEFAULT` of type `int`

  DEFAULT_WITH_BARRIER: int = DEFAULT_WITH_BARRIER

    Constant `DEFAULT_WITH_BARRIER` of type `int`

  NONBLOCKING: int = NONBLOCKING

    Constant `NONBLOCKING` of type `int`

  NONBLOCKING_WITH_BARRIER: int = NONBLOCKING_WITH_BARRIER

    Constant `NONBLOCKING_WITH_BARRIER` of type `int`